terraform {
  required_providers {
    namecheap = {
      source = "namecheap/namecheap"
      version = "~> 2.1.0"
    }
  }

  backend "http" {
    address        = "https://asciireactor.com/api/v4/projects/133/terraform/state/library-index"
    lock_address   = "https://asciireactor.com/api/v4/projects/133/terraform/state/library-index/lock"
    unlock_address = "https://asciireactor.com/api/v4/projects/133/terraform/state/library-index/lock"
    lock_method    = "POST"
    unlock_method  = "DELETE"
    retry_wait_min = 5
  }
}

provider "namecheap" {}

variable "stashbox-vip" {
  type    = string
  default = "stashbox.delhi.o4data.net."
}

resource "namecheap_domain_records" "othostash" {
  domain = "othostash.com"
  record {
    hostname = "@"
    address  = var.stashbox-vip
    type     = "ALIAS"
    ttl      = 300
  }
  record {
    hostname = "www"
    address  = "othostash.com."
    type     = "CNAME"
  }
}
